Skip to content
Last updated

Retrieve a paginated list of vector stores belonging to a specific knowledge slice.

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/slices/{slice_id}/stores

Returns all vector stores associated with the specified knowledge slice. Use this endpoint to see which stores are grouped under a particular slice.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

slice_id string required

The unique identifier of the knowledge slice (format: kslice_*).

Query Parameters

skip integer optional · Defaults to 0

Number of items to skip for pagination.

limit integer optional · Defaults to 20

Maximum number of items to return (1-100).


Returns

A paginated list of vector store objects with items, total, skip, limit, and has_more fields.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/slices/kslice_abc123/stores?limit=10" \
  -H "Authorization: Bearer $ACCESS_TOKEN"